//___FILEHEADER___

#import <IG/IG.h>
#import "ViewController.h"


@interface ViewController ()
{
    IGSlideTabView *_slideTabView;
    IGSlideTabItem *_slideTabItem;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    _slideTabView = [[IGSlideTabView alloc] init];
    _slideTabView.frame = self.view.bounds;
    _slideTabView.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_slideTabView];

    _slideTabItem = [IGSlideTabItem tabWithLocation:IGSlideTabLocationBottom title:@"Testing" tabView:nil contentView:nil];
    _slideTabItem.contentSize = [IGSlideTabContentSize sizeWithWidth:200 height:200];
    [_slideTabView addTab:_slideTabItem];

    [NSTimer scheduledTimerWithTimeInterval:2 target:self selector:@selector(ProcessIsExpanded) userInfo:nil repeats:YES];
}

- (void)ProcessIsExpanded
{
    _slideTabItem.isExpanded = ![_slideTabItem isExpanded];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}


@end